ComponentBasePlugin.PluginRules (Gradle API 9.6.0)
Description: declaration: package: org.gradle.platform.base.plugins, class: ComponentBasePlugin, class: PluginRules

Package org.gradle.platform.base.plugins

# Class ComponentBasePlugin.PluginRules

java.lang.Object
org.gradle.model.RuleSource
org.gradle.platform.base.plugins.ComponentBasePlugin.PluginRules

Enclosing class:
  `ComponentBasePlugin`

static class ComponentBasePlugin.PluginRules extends RuleSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PluginRules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `components(ComponentSpecContainer componentSpecs)`
  `(package private) org.gradle.platform.base.component.internal.ComponentSpecFactory`
  `componentSpecFactory(org.gradle.api.internal.project.ProjectIdentifier projectIdentifier, org.gradle.internal.reflect.Instantiator instantiator, ObjectFactory objectFactory, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator, org.gradle.internal.service.ServiceRegistry serviceRegistry)`
  `(package private) void`
  `registerComponentSpec(TypeBuilder<ComponentSpec> builder)`
  `(package private) void`
  `registerNodeInitializerExtractors(org.gradle.model.internal.core.NodeInitializerRegistry nodeInitializerRegistry, org.gradle.platform.base.component.internal.ComponentSpecFactory componentSpecFactory, org.gradle.model.internal.manage.binding.StructBindingsStore bindingsStore)`
  `(package private) void`
  `validateComponentSpecRegistrations(org.gradle.platform.base.component.internal.ComponentSpecFactory instanceFactory)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PluginRules

    PluginRules()

- ## Method Details

  - ### components

    void components(ComponentSpecContainer componentSpecs)

  - ### componentSpecFactory

    org.gradle.platform.base.component.internal.ComponentSpecFactory componentSpecFactory(org.gradle.api.internal.project.ProjectIdentifier projectIdentifier, org.gradle.internal.reflect.Instantiator instantiator, ObjectFactory objectFactory, org.gradle.model.internal.core.NamedEntityInstantiator<Task> taskInstantiator, org.gradle.api.internal.CollectionCallbackActionDecorator collectionCallbackActionDecorator, org.gradle.internal.service.ServiceRegistry serviceRegistry)

  - ### registerComponentSpec

    void registerComponentSpec(TypeBuilder<ComponentSpec> builder)

  - ### registerNodeInitializerExtractors

    void registerNodeInitializerExtractors(org.gradle.model.internal.core.NodeInitializerRegistry nodeInitializerRegistry, org.gradle.platform.base.component.internal.ComponentSpecFactory componentSpecFactory, org.gradle.model.internal.manage.binding.StructBindingsStore bindingsStore)

  - ### validateComponentSpecRegistrations

    void validateComponentSpecRegistrations(org.gradle.platform.base.component.internal.ComponentSpecFactory instanceFactory)